铁牛仔

铁牛仔的博客

他的个人主页  他的博客

Ubuntu 10.10 编译安装Vim7.3及GUI

铁牛仔  2011年01月06日 星期四 10:06 | 4127次浏览 | 2条评论

 

 其实过程很简单。

 为了GUI,这些包是必须的:

  sudo apt-get install libncurses5-dev libgnome2-dev libgnomeui-dev \

  libgtk2.0-dev libatk1.0-dev libbonoboui2-dev \

  libcairo2-dev libx11-dev libxpm-dev libxt-dev

  如果包没安装完整,可能出现GUI没编译出来,但是vim可用的状况。

 

步骤一:

先从官网下载vim7.3源码。 http://www.vim.org/sources.php

也可以用  Mercurial  获取最新版本的源码

 

步骤二:

解压文件后,从终端进入vim7.3的源码目录,命令行操作如下:

 

$ cd vim73

$ cd src

$ make distclean     #清理一下上一次编译生成的所有文件

$ ./configure --with-features=huge --enable-pythoninterp=yes \

  --enable-gui=gnome2 --enable-cscope --enable-fontset --enable-perlinterp \

  --enable-rubyinterp --with-python-config-dir=/usr/lib/python2.6/config  #编译配置

$ make && sudo make install

 

说明一下下:

编译配置中的 --enable-gui=gnome2 是启用GUI,也就是可以使用gvim。还是不习惯终端里的vim

     --enable-pythoninterp=yes 是启用vim对python的支持

     --with-python-config-dir=/usr/lib/python2.6/config  指向python的配置文件夹,因为个人安装版本/路径的不同,这里根据自己的实际情况而稍做修改。(我 用的Ubunut10.10的python默认安装路径)

 

     还有个欠抽的配置选项可以用:

     --with-compiledby="A bingo boy which be capable to compile VIM"

    哈哈~~适合超级自恋的人使用。

 

评论

我的评论:

发表评论

请 登录 后发表评论。还没有在Zeuux哲思注册吗?现在 注册 !
小包

回复 小包  2011年01月10日 星期一 15:40

VIM 很难用~~

1条回复

  • 铁牛仔

    回复 铁牛仔  2011年01月11日 星期二 01:00

    呵呵,我用vim有两年的时间了,感觉还可以啊。虽然入门的时候很痛苦,但是硬着头皮读了一遍vim的帮助文档,然后开始用它来写代码,到了后面就越来越享受它了。我总想,既然某门编程语言都能学会,哪有可能学不会一个编辑器的使用呢

    0条回复

暂时没有评论

Zeuux © 2020

京ICP备05028076号